# Check withdrawal status by Withdrawal ID

**Request**\
**Request Type:** **GET**

**Endpoint:**&#x20;

<pre><code><strong>https://app.0xprocessing.com/Api/GetWithdraw/{id}
</strong></code></pre>

**Used to check the status of the withdrawal**

{% hint style="warning" %}
To confirm the withdrawal correctly, it must be interrogated before the value in the **"Hash" parameter appears and 'Confirmed'= true**

Or **aborted = true**
{% endhint %}

The request must contain an **APIKEY header with your API key**. The key can be generated in the menu **Merchant\API\Webhook URL to receive a callback about payment status.**

**Parameters:**

<table><thead><tr><th width="182">Name</th><th width="409">Description</th><th>Type</th></tr></thead><tbody><tr><td>ID</td><td>Withdrawal ID in the 0xProcessing system</td><td>Integer</td></tr></tbody></table>

**Reply**

**Response Type:** JSON

**Parameters:**

<table><thead><tr><th width="202">Name</th><th width="396">Description</th><th>Type</th></tr></thead><tbody><tr><td>ID</td><td>Withdrawal ID in the 0xProcessing system</td><td>Integer</td></tr><tr><td>Currency</td><td>Withdrawal currency</td><td>String</td></tr><tr><td>Amount</td><td>Withdrawal amount in cryptocurrency</td><td>Double</td></tr><tr><td>Address</td><td>Wallet address</td><td>String</td></tr><tr><td>DestinationTag</td><td>Destination Tag for XRP output. Optional parameter</td><td>String</td></tr><tr><td>ClientId</td><td>Unique customer ID in your system</td><td>String</td></tr><tr><td>AutoWithdraw</td><td>Specify whether the withdrawal will be processed automatically. A value of false means that the withdrawal must be processed by the manager</td><td>Boolean</td></tr><tr><td>Hash</td><td>Transaction hash</td><td>String</td></tr><tr><td>Confirmed</td><td>It indicates whether the withdrawal is confirmed</td><td>Boolean</td></tr><tr><td>Aborted</td><td>It indicates whether the withdrawal is rejected by the manager</td><td>Boolean</td></tr><tr><td>Reason</td><td>The reason the withdrawal was rejected</td><td>String</td></tr><tr><td>Fee</td><td>Withdrawal fee</td><td>Double</td></tr><tr><td>Manager</td><td>The manager who performed the action</td><td>String</td></tr><tr><td>ManagerIp</td><td>Ip of the manager who committed the action</td><td>String</td></tr><tr><td>ManagerActionDate</td><td>The date of the manager's action in UTC</td><td>DateTime?</td></tr><tr><td>ExternalId</td><td>Withdrawal ID in your system</td><td>String</td></tr></tbody></table>

**Example response JSON:**

{% code lineNumbers="true" %}

```json
                        {
                        "id": 10,
                        "amount": 100.0,
                        "currency": "TRX",
                        "address": "TToSLiYx6gfCrrhnWKXJmrsCivXR1111L",
                        "clientId": "Client",
                        "hash": "966b3db234364093cc438bac3fcbd6c7c1133ead4998e23731310bf48491c8f5",
                        "autoWithdraw": true,
                        "confirmed": true,
                        "aborted": false,
                        "reason": null,
                        "fee": 0.0,
                        "manager": null,
                        "managerActionDate": null,
                        "managerIp": null
                        }
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0xprocessing.com/0xprocessing-api/withdrawals/check-withdrawal-status-by-withdrawal-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
